#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xd2ea29e8, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xbaeabf33, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xaaf1dd06, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xc6dedc15, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x22dded79, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x60ac20ab, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xfb43bbc9, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xbbac7205, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xa1e895f7, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x15f6e2a3, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x7b307298, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x42b08d99, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x1def7696, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x36daa3dc, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x25728981, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xb04edd35, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x3be8558b, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xf7c559af, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x73934e29, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xa2311116, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xd5eaeed1, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xa39112e4, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xd578e1fe, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x68c78275, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xd72f9667, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x3b4154cf, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xe6d32d2e, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xd218fc2a, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x3b7f8b29, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xaa5f6675, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xdd915411, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x9e207f31, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xebe6604f, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xcf3f573c, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x76da9a88, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xe2e5d44f, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x0a53e623, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x46f42991, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x23be76a8, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xaeb7a961, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x811f8440, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xb43871b8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x77edfc69, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x91685c5c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xcd1f0c99, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x202e8562, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xa70d9135, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x16932ba3, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xbc69a117, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x82c26bdf, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xb471af10, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xd572f6f2, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xb7bc156e, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xf60bff19, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xd796d0e2, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xa4d60e43, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x8f528c45, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x3f71c588, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x3ce02fa9, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xb4c8098f, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x1b566110, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x77e0ed02, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x59b1e5ff, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x51b8037d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xac3a37a2, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xedcab554, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x1ab474df, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x97e9d845, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x1bdcfa17, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x9951640f, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x76e97018, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x0b5f5ead, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xc19c2763, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x2df98d81, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x9003088f, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xf258258c, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xa1f7d369, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x0054e2db, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xfafbf84a, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x14cdfe4d, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xe09ea187, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xb4d02ea1, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x66f713a2, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x9cc9a715, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x452ec316, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xe68c7155, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x253052fd, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x594bd5f5, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xd1d5349b, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x514d3e29, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x38237d91, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x6b58fb96, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x0b3b401b, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x0713deca, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x0be808c6, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xfafbc904, "");
SYMBOL_CRC(drm_fb_swab, 0x31f6c6eb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x7c38569a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x1916cac1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x174e3e6b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x184f7ab9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x33f161c6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xa86c26bd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x4a38fc02, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x041f14a6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x69004f60, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xbb15af27, "");
SYMBOL_CRC(drm_fb_blit, 0x13d8faf0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x2df72c58, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x945dd1e7, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xe22d509c, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x0becf718, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x546ae51a, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x2614549b, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xf7838c73, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xb407cc43, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x8541a718, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x19611c1c, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x1b38458f, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x19f7c145, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x2ac58128, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x75ea45be, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x0d26e2d1, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x8aec5c98, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x944c86cc, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x7fbaed1b, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x0a097c9d, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x59f123b9, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xf6e33e99, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xeb569550, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xa2d538fb, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x5875efac, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xa55cf26c, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xfad5f9d2, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x5b7b9c7a, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x683a2b4d, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xe996b39f, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x7d745fdb, "");
SYMBOL_CRC(drm_crtc_init, 0x68760ecf, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x16a93c1e, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x31ad0cb2, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xcd72e3ba, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xfc088000, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xb328b57d, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x71245da6, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x8ef2055d, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x9813e024, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xf0669833, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xfd20c09f, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x01ca0f38, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x56d7c52b, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x3699930f, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x2d7ec0ff, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xe0d2ff43, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xa057a135, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x661a43c3, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x822c4a4e, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x79f8ab66, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xb4910460, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xc6e1e1e6, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xc46ab484, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xa3d9256f, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xffa749a6, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xbe223cf8, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xa9509e11, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x1d8a27cf, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xe9397f1b, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xccec1229, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x5c3fb765, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xfabd523e, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x5a736e1d, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x0b817994, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x053f0de5, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xa7d2b3d7, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xebd228ad, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x0f62635c, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xe4261316, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xfa10f9f6, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x782fb79e, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xae6b462d, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xfd53f0a8, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x88da7720, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x242269e8, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x4fec19cc, "");
SYMBOL_CRC(drm_fb_helper_init, 0xca4d7491, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x4ff71e01, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xe8ad32bd, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x6aa78a9b, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x530478eb, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x5645054f, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x53a7bafd, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x2ee42e0f, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xb995a62c, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x14bc4749, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x74750cf8, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xb3d7c393, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xd10747c8, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xda252085, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x0f93e1e2, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xd299a675, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xf74cb054, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xef506f94, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x53e463b2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5595fa4b, "unregister_framebuffer" },
	{ 0x322e8df8, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xc5795b63, "drm_framebuffer_cleanup" },
	{ 0x8b4e48e7, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x3b44114f, "drm_panel_get_modes" },
	{ 0xb13e9bcb, "drm_gem_vmap_unlocked" },
	{ 0xa6e290b3, "try_module_get" },
	{ 0x55ed46b7, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb0c9eb51, "drm_bridge_add" },
	{ 0x428632d5, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0xb5d0be9b, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x2482aa8b, "devm_kmalloc" },
	{ 0x84f37af7, "drm_client_rotation" },
	{ 0xf7545b33, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb6d2585c, "drm_framebuffer_init" },
	{ 0xc86e7845, "drm_mode_validate_driver" },
	{ 0xd5ee02c8, "drm_atomic_add_affected_planes" },
	{ 0xf887e8a6, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x8c2126a9, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20c0aa55, "drm_mode_probed_add" },
	{ 0xbef4d82c, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x619469e, "drm_gem_vunmap_unlocked" },
	{ 0x8f308ddc, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf31aa3d7, "drm_modeset_lock_all" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xaad1290f, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x754fa9bf, "drm_mode_object_get" },
	{ 0x4db7f220, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xe9923a7f, "drm_driver_legacy_fb_format" },
	{ 0xbd49b469, "drm_crtc_cleanup" },
	{ 0x4393d847, "drm_connector_list_iter_begin" },
	{ 0x123e9275, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xc2d1896c, "framebuffer_alloc" },
	{ 0xa62cc701, "drm_encoder_cleanup" },
	{ 0x629766e9, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x28017516, "drm_client_modeset_probe" },
	{ 0x86bc4adc, "drm_warn_on_modeset_not_all_locked" },
	{ 0x905b1d0b, "drm_plane_get_damage_clips" },
	{ 0xb4f11805, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x6a0b1c7e, "drm_add_modes_noedid" },
	{ 0xa82f4e1e, "drm_bridge_remove" },
	{ 0xbc653210, "drm_mode_object_put" },
	{ 0x2a0fc71, "dev_driver_string" },
	{ 0x5d1d7ccd, "drm_crtc_vblank_get" },
	{ 0xf8485ada, "drm_gem_object_lookup" },
	{ 0xc7850ac5, "drm_crtc_send_vblank_event" },
	{ 0xc0430403, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x1bb72926, "drm_atomic_normalize_zpos" },
	{ 0xf009eef6, "drm_edid_connector_update" },
	{ 0x5fafce93, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdee5c9e3, "__drmm_add_action_or_reset" },
	{ 0xdef811df, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xaa9c5561, "drm_connector_list_iter_end" },
	{ 0x199ee5ab, "drm_atomic_set_crtc_for_plane" },
	{ 0x311c6fdb, "drm_client_modeset_dpms" },
	{ 0x21bf7439, "drm_mode_prune_invalid" },
	{ 0x45d0570f, "drm_client_dev_hotplug" },
	{ 0x1467b924, "_dev_info" },
	{ 0xf940f73a, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xf855f9af, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xd52d7ea5, "module_put" },
	{ 0x67ec6ac6, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xe915920b, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x212675b2, "drm_client_init" },
	{ 0xa5eef205, "drm_crtc_wait_one_vblank" },
	{ 0x5acdf669, "drm_crtc_next_vblank_start" },
	{ 0xa3d0e61b, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x9789a848, "drm_modeset_lock" },
	{ 0xce0cedc3, "drm_client_modeset_commit_locked" },
	{ 0xbe8ce393, "drm_modeset_unlock" },
	{ 0x5d866faf, "drm_panel_disable" },
	{ 0xc1dc07ec, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3eff875, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xcbda10da, "devm_kfree" },
	{ 0x6623088a, "_dev_err" },
	{ 0xc963eb29, "drm_writeback_cleanup_job" },
	{ 0x7716e9b0, "drm_modeset_lock_all_ctx" },
	{ 0xaf39bb65, "i2c_unregister_device" },
	{ 0x364544d8, "drm_atomic_set_fb_for_plane" },
	{ 0xffbe25cd, "__drm_universal_plane_alloc" },
	{ 0x3b900657, "drm_edid_connector_add_modes" },
	{ 0xa57e9f40, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x54925088, "__devres_alloc_node" },
	{ 0x32caaf98, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x5c73ade4, "drm_crtc_commit_wait" },
	{ 0x5168efae, "drm_dev_has_vblank" },
	{ 0xd131a59a, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x76190570, "__drm_atomic_helper_disable_plane" },
	{ 0x12dcdb7b, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe1086cbb, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb67b85a4, "drm_atomic_set_crtc_for_connector" },
	{ 0x79dd5416, "drm_analog_tv_mode" },
	{ 0xdbad86f1, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x4b9047de, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4dbb32c0, "drm_crtc_vblank_put" },
	{ 0xa293fc0d, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xeaa06ffb, "__drm_dev_dbg" },
	{ 0xb94de282, "drm_plane_get_damage_clips_count" },
	{ 0x612141f3, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x1d89521a, "drm_atomic_state_alloc" },
	{ 0x669ab691, "drm_client_modeset_commit" },
	{ 0xd3c2ee6d, "_dev_warn" },
	{ 0xa2200feb, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6d1a0fd9, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xbce102ba, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x387c25ea, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x971dee97, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xe5cf22cc, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9a859a75, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x8046dffd, "drm_connector_cleanup" },
	{ 0x534e601c, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xce0b1b16, "drm_universal_plane_init" },
	{ 0xcd50d880, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xb16298ac, "drm_connector_list_iter_next" },
	{ 0xad333ebc, "drm_modeset_acquire_fini" },
	{ 0x6efc4232, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xcf0bc2db, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x766d0759, "param_ops_bool" },
	{ 0xfdd35061, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe2026483, "drm_modeset_backoff" },
	{ 0x9ff49f7d, "drm_panel_prepare" },
	{ 0xa3cf373b, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x27b52dc9, "drm_atomic_get_plane_state" },
	{ 0xd7a0bcb2, "drm_atomic_bridge_chain_check" },
	{ 0xc7206a8b, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe3b6d3a4, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xeba79473, "drm_property_blob_put" },
	{ 0xefaa6c3a, "drm_mode_destroy" },
	{ 0xa4a195d0, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x358edad3, "drm_set_preferred_mode" },
	{ 0x72be496e, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x7d15deb2, "drm_atomic_state_clear" },
	{ 0xaf7c7418, "drm_mode_config_reset" },
	{ 0xf6973608, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x7d056906, "drm_modeset_drop_locks" },
	{ 0xc0727435, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xff061af1, "drm_atomic_bridge_chain_disable" },
	{ 0xe7cdb148, "drm_mode_create_from_cmdline_mode" },
	{ 0x5bc80e65, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xbeb39251, "param_ops_int" },
	{ 0x5f4eb960, "drm_atomic_nonblocking_commit" },
	{ 0xabab6d3d, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0xb08e2aa5, "drm_master_internal_release" },
	{ 0x7750cb58, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xac297ad8, "drm_panel_unprepare" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x7f113d8b, "drm_atomic_add_encoder_bridges" },
	{ 0x7c49165f, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5dc6de71, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "433A9BC9ACEDE7734E33646");
MODULE_INFO(rhelversion, "10.1");
