#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x47ae5eed, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x9f51e48d, "");
SYMBOL_CRC(ib_cm_listen, 0x301d5d34, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x631406db, "");
SYMBOL_CRC(ib_send_cm_req, 0xf2d19e16, "");
SYMBOL_CRC(ib_send_cm_rep, 0x1260020d, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x75992d8a, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x355e6cec, "");
SYMBOL_CRC(ib_send_cm_drep, 0x039f1a6b, "");
SYMBOL_CRC(ib_send_cm_rej, 0xefa2e55d, "");
SYMBOL_CRC(ib_send_cm_mra, 0x14fde0dd, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x02281c04, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xc2751f76, "");
SYMBOL_CRC(ib_cm_notify, 0xc6942d99, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xd4f2f5d7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e3fd9bd, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfaf79967, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0x555201dc, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xba14d56f, "__trace_trigger_soft_disabled" },
	{ 0xd6f8a9a0, "trace_event_printf" },
	{ 0x55bf703a, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xcff33e9f, "rdma_query_gid" },
	{ 0xf21f2695, "ib_port_register_client_groups" },
	{ 0xd5221a13, "ib_modify_port" },
	{ 0xb912fbd5, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12887eff, "trace_event_buffer_commit" },
	{ 0x22685afd, "rdma_create_ah" },
	{ 0x4c3b990c, "ib_init_ah_attr_from_wc" },
	{ 0x88f4dbd6, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbe4ec9f9, "ib_register_client" },
	{ 0x34142114, "ib_unregister_mad_agent" },
	{ 0x8023c819, "ib_post_send_mad" },
	{ 0x10d713db, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf986b1d4, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x61a7b857, "rdma_destroy_ah_attr" },
	{ 0x8021cb1, "ib_set_client_data" },
	{ 0x89626430, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x13d174cf, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdc5b6b9b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x94957b7d, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd3c2ee6d, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x4a827f80, "rdma_destroy_ah_user" },
	{ 0xfdef15ff, "ib_free_send_mad" },
	{ 0x4979d168, "ib_port_unregister_client_groups" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x6e0eb813, "bpf_trace_run3" },
	{ 0x7866e38e, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe340acd6, "trace_event_buffer_reserve" },
	{ 0xeda9b611, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd29986c, "ib_free_recv_mad" },
	{ 0x74e7709, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x4dfee84f, "ib_modify_mad" },
	{ 0xf925117e, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "7601025A36756CEEBC27401");
MODULE_INFO(rhelversion, "10.1");
