#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x7d7aa5d8, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xba2d4363, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0xd0bf6942, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xca441ad1, "vmemmap" },
	{ 0x71cdcf48, "pci_cfg_access_unlock" },
	{ 0x99cf82ad, "pci_enable_device" },
	{ 0xe03aed95, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc7d878ba, "pci_alloc_irq_vectors" },
	{ 0xf172d907, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xa9ce2317, "dma_unmap_page_attrs" },
	{ 0x2e65fc7e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x3dcca007, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c682c6a, "page_pool_destroy" },
	{ 0x729b6927, "pci_irq_vector" },
	{ 0xb4e94779, "__netif_napi_del" },
	{ 0x9a3c9ee6, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x632314f1, "mlxsw_cmd_exec" },
	{ 0x89bd3acf, "pci_unregister_driver" },
	{ 0x47c233a0, "pci_cfg_access_lock" },
	{ 0x29744dd9, "mlxsw_core_bus_device_register" },
	{ 0x2a0fc71, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x759e1288, "dma_map_page_attrs" },
	{ 0x24d68ad4, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x13e098d9, "__napi_schedule" },
	{ 0x530a99a9, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa8836b0e, "__pci_reset_function_locked" },
	{ 0xd5fb88a0, "__dma_sync_single_for_cpu" },
	{ 0x6623088a, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x2428dacd, "dma_alloc_attrs" },
	{ 0x928e4591, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x94efb5bf, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc15e8985, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x95a77f16, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xd22e837, "pci_restore_state" },
	{ 0x8b96bbce, "page_pool_create" },
	{ 0x634a1f94, "mlxsw_core_ptp_transmitted" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x355e99ab, "pci_set_master" },
	{ 0xfd9aabad, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0xae337fb8, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xafc072e2, "alloc_netdev_dummy" },
	{ 0xdb365151, "dma_free_attrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc55f8c6a, "pci_release_regions" },
	{ 0xeba62b96, "page_pool_alloc_pages" },
	{ 0x31e60f75, "napi_build_skb" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e66ddf6, "pci_disable_device" },
	{ 0x49622b73, "dma_set_mask" },
	{ 0x37ded7ee, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xce9c7f6f, "napi_schedule_prep" },
	{ 0xc7edfd8e, "napi_consume_skb" },
	{ 0xa1e205a4, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xcaf1c3ce, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "A619F07FE4E4D4D303F8CD3");
MODULE_INFO(rhelversion, "10.1");
