#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0x8b1703f3, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0x0b9362b4, "");
SYMBOL_CRC(dasd_alloc_block, 0x9969e3a4, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x6d190410, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0xaabd80dd, "");
SYMBOL_CRC(dasd_reload_device, 0x088577dd, "");
SYMBOL_CRC(dasd_enable_device, 0x5f5d84a6, "");
SYMBOL_CRC(dasd_smalloc_request, 0x6dde014d, "");
SYMBOL_CRC(dasd_fmalloc_request, 0xeb60d08a, "");
SYMBOL_CRC(dasd_sfree_request, 0xe736a340, "");
SYMBOL_CRC(dasd_ffree_request, 0xbff3b782, "");
SYMBOL_CRC(dasd_term_IO, 0x3e0470b5, "");
SYMBOL_CRC(dasd_start_IO, 0x399f77a1, "");
SYMBOL_CRC(dasd_device_set_timer, 0xb21810f0, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x682dfba6, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0xd562c3b3, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0x7d8f7c66, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0xeb84ca42, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0xfbc24062, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0xca6c004f, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0xec8fea3b, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0x9c791b56, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0x0c539417, "");
SYMBOL_CRC(dasd_add_request_tail, 0xdfd1b0b3, "");
SYMBOL_CRC(dasd_wakeup_cb, 0xddfbfd31, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0x72c46fb7, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0xb4dcb5de, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0xc134caac, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0x67dc8656, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0xae563b34, "");
SYMBOL_CRC(dasd_block_set_timer, 0x9c8c6196, "");
SYMBOL_CRC(dasd_block_clear_timer, 0xf2bf70bb, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0x49cb3f08, "");
SYMBOL_CRC(dasd_device_is_ro, 0xef664f78, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0x489ea0a1, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0x13edf7fc, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0xe7ac4501, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0x8ff8c51b, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0x83d5dfc2, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0xe6635711, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0xa7a301b8, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0x6c397c6c, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0x524a0dcb, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0xa8fbf3da, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0x4e520fc2, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0x2f20b967, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0xc3bda3db, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0x169ce4ac, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x13cf51f3, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x6877463f, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0xcec54e31, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0x881f1c95, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xb38fe028, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x19227556, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0xf15784f5, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0xe89ceaaf, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0xbb5c9f4b, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0x02fe2be2, "");
SYMBOL_CRC(dasd_dev_groups, 0x8d31583f, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0xbab706d0, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x2562e61a, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x8eafeb92, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0x3a818eb7, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0xd298564e, "");
SYMBOL_CRC(dasd_default_erp_action, 0xf7c5bbae, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0x40716726, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0x6ac9b125, "");
SYMBOL_CRC(dasd_free_erp_request, 0x54f44178, "");
SYMBOL_CRC(dasd_log_sense, 0x5011db0d, "");
SYMBOL_CRC(dasd_eer_write, 0x85b2eff4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f114375, "set_disk_ro" },
	{ 0xa6e290b3, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2a617a35, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x21fe179, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1f422c1d, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x3f90069f, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc57b8611, "diag210" },
	{ 0xaa399022, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xb610ac85, "debug_set_level" },
	{ 0xb3fe93eb, "param_array_ops" },
	{ 0x79af662, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x833c7c69, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xf1a902bd, "kset_unregister" },
	{ 0x696fa683, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xe4a24fe1, "disk_uevent" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe6963f13, "get_device" },
	{ 0xf68cfbad, "blk_mq_end_request" },
	{ 0x557beb2e, "__blk_mq_alloc_disk" },
	{ 0x9a3c9ee6, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeeb3e676, "blk_mq_alloc_tag_set" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xef9c8eef, "ipl_info" },
	{ 0x36299017, "put_disk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6ba17f89, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xe6d5d828, "ccw_device_tm_start" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa3dd9bd8, "ccw_device_get_schid" },
	{ 0x1467b924, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd52d7ea5, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x19cea09e, "disable_cmf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7b4b4d75, "fput" },
	{ 0x6623088a, "_dev_err" },
	{ 0x5eb944bb, "kobject_add" },
	{ 0x15e583a6, "blk_update_request" },
	{ 0xf72763b2, "ccw_device_get_id" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xbe606d8c, "kobj_sysfs_ops" },
	{ 0x12b6c248, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xfd4be84b, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xab65752a, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0xc9dfb78a, "cmf_readall" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x411ba6f8, "seq_putc" },
	{ 0x5f63a615, "bdev_mark_dead" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1857443, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x6e197670, "del_gendisk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6cc396f, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x15f01e8d, "bdev_file_open_by_dev" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x21cb4ae3, "proc_mkdir" },
	{ 0x33895f95, "ccw_device_set_offline" },
	{ 0xd3c2ee6d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xcbe51e74, "misc_register" },
	{ 0xd8d38832, "ccw_device_clear" },
	{ 0xce0de0ba, "param_ops_charp" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb65303c8, "__kmem_cache_create_args" },
	{ 0x8c16137a, "bdev_disk_changed" },
	{ 0xe798236d, "jiffies" },
	{ 0x94c26c32, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xee7f9e28, "debug_unregister" },
	{ 0x1fb549d7, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xad74f43c, "blk_mq_complete_request" },
	{ 0x307a7b67, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6f0ad654, "seq_write" },
	{ 0x56211dba, "remove_proc_entry" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x348f2db7, "seq_printf" },
	{ 0x3ddb8fc2, "ccw_device_set_online" },
	{ 0x8662174f, "enable_cmf" },
	{ 0x74825e9c, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x3b57f13b, "blk_mq_start_request" },
	{ 0xa3f2928e, "ccw_device_get_path_mask" },
	{ 0xfe26f755, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3e413f61, "single_release" },
	{ 0x2418504a, "tcw_get_tsb" },
	{ 0xa5348bb3, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x88a0af6f, "blk_abort_request" },
	{ 0xf5af6e46, "debug_sprintf_view" },
	{ 0xbeb39251, "param_ops_int" },
	{ 0x5d2aa478, "blk_mq_run_hw_queues" },
	{ 0xcc7a87ff, "proc_create_seq_private" },
	{ 0xd5c5e471, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xabab6d3d, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1e83b3f2, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdfed6cc5, "blk_mq_requeue_request" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xb6011eb6, "blk_queue_rq_timeout" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x59909fba, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd061557, "kset_create_and_add" },
	{ 0x82aa0dc7, "kobject_put" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E285D001B1CDE1632538533");
MODULE_INFO(rhelversion, "10.1");
