#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x7547bc82, "");
SYMBOL_CRC(fc_host_post_event, 0x4e633bef, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x30e696a6, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x9cb4bec5, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xc47e1028, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x77c25955, "");
SYMBOL_CRC(fc_eh_timed_out, 0x1d434eef, "");
SYMBOL_CRC(fc_attach_transport, 0x95bec740, "");
SYMBOL_CRC(fc_release_transport, 0xfa4be52a, "");
SYMBOL_CRC(fc_remove_host, 0x131a33d6, "");
SYMBOL_CRC(fc_remote_port_add, 0xb3dabe83, "");
SYMBOL_CRC(fc_remote_port_delete, 0x70034425, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x88f832db, "");
SYMBOL_CRC(fc_block_rport, 0x55d2e0c7, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xc3c36c50, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xaf3e943c, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x0e6658ac, "");
SYMBOL_CRC(fc_vport_terminate, 0xccddd9d6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x6ba17f89, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x17f32206, "transport_class_register" },
	{ 0xe024e976, "transport_class_unregister" },
	{ 0xdf222c0, "scsi_nl_sock" },
	{ 0xcf8e3fe1, "__alloc_skb" },
	{ 0x510548f4, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x58726c96, "netlink_broadcast_filtered" },
	{ 0x236c8c64, "memcpy" },
	{ 0xfe2e896a, "sk_skb_reason_drop" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x577b023e, "scsi_init_limits" },
	{ 0xb7e73d6e, "bsg_setup_queue" },
	{ 0xb6011eb6, "blk_queue_rq_timeout" },
	{ 0x6623088a, "_dev_err" },
	{ 0x3e2e9485, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf84ec349, "attribute_container_unregister" },
	{ 0x2cfda10b, "scsi_scan_target" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x782a50f1, "attribute_container_register" },
	{ 0x460fc937, "bsg_remove_queue" },
	{ 0xc6fd3f2e, "scsi_target_unblock" },
	{ 0x2ed01c1, "scsi_remove_target" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x5c0c7120, "scsi_is_target_device" },
	{ 0xd519783a, "scsi_host_put" },
	{ 0xad59f0a3, "sysfs_remove_link" },
	{ 0xcb4cd539, "transport_remove_device" },
	{ 0xb6756722, "device_del" },
	{ 0x587f5420, "transport_destroy_device" },
	{ 0x93423348, "_dev_printk" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8034e576, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc5c56bd, "scsi_flush_work" },
	{ 0x876b625d, "bsg_job_get" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf68cfbad, "blk_mq_end_request" },
	{ 0xdde3863e, "bsg_job_put" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xe99887bb, "scsi_host_get" },
	{ 0xb7e242ce, "device_initialize" },
	{ 0xe6963f13, "get_device" },
	{ 0x15cdec41, "dev_set_name" },
	{ 0xfb2202f, "transport_setup_device" },
	{ 0xf34f9834, "device_add" },
	{ 0xb79deeec, "transport_add_device" },
	{ 0x10a5c16b, "transport_configure_device" },
	{ 0x34779231, "sysfs_create_link" },
	{ 0xcce6d5a, "bsg_job_done" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b3ca823, "scsi_queue_work" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5d2aa478, "blk_mq_run_hw_queues" },
	{ 0x21fe179, "param_ops_uint" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "625C1CFDB8AE1C002069AAA");
MODULE_INFO(rhelversion, "10.1");
