#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x33e56ead, "");
SYMBOL_CRC(is_hsr_master, 0xe9b172d5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9637ce03, "dev_set_mtu" },
	{ 0x1e886b34, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x686c7344, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe03aed95, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4f8f6e0a, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x1c964d51, "rtnl_link_register" },
	{ 0xe0811947, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x517ed9a7, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0ec2a7e, "dev_set_promiscuity" },
	{ 0x696fa683, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x58013a46, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3bf9b18f, "unregister_netdevice_queue" },
	{ 0x29721d38, "netlink_ack" },
	{ 0x56aeddf0, "__pskb_copy_fclone" },
	{ 0x417bf512, "dev_uc_unsync" },
	{ 0x2f6eb6ed, "ether_setup" },
	{ 0x58726c96, "netlink_broadcast_filtered" },
	{ 0x7fd18f7d, "netdev_err" },
	{ 0x7e8023ef, "netdev_upper_dev_link" },
	{ 0x478a7a2f, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe34a6a31, "netdev_rx_handler_unregister" },
	{ 0xacfd3898, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xcf8e3fe1, "__alloc_skb" },
	{ 0xdc678f1f, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x2b3fc5f2, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xa9d7c324, "rtnl_link_unregister" },
	{ 0xaff73ad3, "init_net" },
	{ 0x9e27742e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x25358a36, "mark_tech_preview" },
	{ 0xfe2e896a, "sk_skb_reason_drop" },
	{ 0x67fb14a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcb705895, "dev_get_by_index_rcu" },
	{ 0x70306a55, "netdev_printk" },
	{ 0x61ebb97d, "skb_push" },
	{ 0xab65752a, "debugfs_remove" },
	{ 0x3207a5c3, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5c8001ec, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfd9aabad, "__pskb_pull_tail" },
	{ 0x3a103c53, "netif_rx" },
	{ 0xd3d29eb6, "__netdev_alloc_skb" },
	{ 0xcae912cf, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1fb549d7, "seq_read" },
	{ 0x41698133, "debugfs_rename" },
	{ 0x307a7b67, "debugfs_create_file" },
	{ 0x77512c95, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6a7b4758, "call_netdevice_notifiers" },
	{ 0xdb2af4ba, "dev_set_allmulti" },
	{ 0x6f0ad654, "seq_write" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x81fb9664, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x348f2db7, "seq_printf" },
	{ 0x457cfb14, "skb_clone" },
	{ 0x8655f741, "netif_carrier_on" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x30c90fc9, "netdev_rx_handler_register" },
	{ 0x3e413f61, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x59f91d80, "genl_unregister_family" },
	{ 0x49f139fe, "dev_disable_lro" },
	{ 0xd90fca9d, "dev_kfree_skb_any_reason" },
	{ 0xd5c5e471, "single_open" },
	{ 0xabab6d3d, "debugfs_create_dir" },
	{ 0x2d8dd002, "dev_mc_unsync" },
	{ 0xa8e917e5, "genl_register_family" },
	{ 0x9610079, "netdev_core_stats_inc" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x4ac2e13, "netdev_info" },
	{ 0xd7453caa, "dev_mc_sync_multiple" },
	{ 0x3ee5677, "register_netdevice" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F1DDADF9A7734F0922575E");
MODULE_INFO(rhelversion, "10.1");
