#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x7be7b1fd, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xcdbf00af, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x58d995ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1c964d51, "rtnl_link_register" },
	{ 0xa8e917e5, "genl_register_family" },
	{ 0xa9d7c324, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ea20e31, "crypto_destroy_tfm" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x4394e2e4, "crypto_alloc_aead" },
	{ 0x35c8457f, "crypto_aead_setkey" },
	{ 0x4a60f672, "crypto_aead_setauthsize" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xff182e8, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x9e27742e, "skb_pull" },
	{ 0xe0966190, "___pskb_trim" },
	{ 0x2f6eb6ed, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x5a5c86bd, "dev_mc_sync" },
	{ 0xe532962d, "dev_uc_sync" },
	{ 0xdb2af4ba, "dev_set_allmulti" },
	{ 0xb0ec2a7e, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x59f91d80, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x2b3fc5f2, "__dev_get_by_index" },
	{ 0x457cfb14, "skb_clone" },
	{ 0x373c4f0, "__netif_rx" },
	{ 0x26575545, "skb_ensure_writable_head_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xfe2e896a, "sk_skb_reason_drop" },
	{ 0x6be48c1b, "metadata_dst_alloc" },
	{ 0x3ee5677, "register_netdevice" },
	{ 0x7e8023ef, "netdev_upper_dev_link" },
	{ 0x3207a5c3, "netdev_upper_dev_unlink" },
	{ 0x3bf9b18f, "unregister_netdevice_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2679b906, "netif_stacked_transfer_operstate" },
	{ 0x50578546, "linkwatch_fire_event" },
	{ 0x30c90fc9, "netdev_rx_handler_register" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8b70ffad, "dst_release" },
	{ 0xeea1fcc2, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x478a7a2f, "dev_addr_mod" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x77512c95, "__dev_queue_xmit" },
	{ 0x3c003c1, "eth_type_trans" },
	{ 0x65634ffc, "gro_cells_receive" },
	{ 0xcae912cf, "skb_trim" },
	{ 0x6b394b51, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5e6b08d9, "skb_to_sgvec" },
	{ 0xfe20c38f, "crypto_aead_decrypt" },
	{ 0x33a2de4c, "consume_skb" },
	{ 0x788c49ef, "skb_copy" },
	{ 0x61ebb97d, "skb_push" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xfd9aabad, "__pskb_pull_tail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xe34a6a31, "netdev_rx_handler_unregister" },
	{ 0x9637ce03, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x81fb9664, "netif_carrier_off" },
	{ 0x2d8dd002, "dev_mc_unsync" },
	{ 0x417bf512, "dev_uc_unsync" },
	{ 0xc80ae025, "dev_uc_del" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x859308d6, "dev_uc_add" },
	{ 0x8655f741, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe03aed95, "skb_put" },
	{ 0x24e62d85, "crypto_aead_encrypt" },
	{ 0xdc678f1f, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xe0811947, "genlmsg_put" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC1484C7B1AF70A8C51B169");
MODULE_INFO(rhelversion, "10.1");
