#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xdc78b24b, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33e76123, "nvme_remove_admin_tag_set" },
	{ 0xddca03cf, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xca441ad1, "vmemmap" },
	{ 0xee22ac5f, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xfaea693d, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0xf9f3e2f, "nvmf_subsystem_reset" },
	{ 0xbecedbc4, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6d359f07, "nvme_stop_keep_alive" },
	{ 0xae1977be, "blk_mq_complete_request_remote" },
	{ 0xa9ce2317, "dma_unmap_page_attrs" },
	{ 0xcb2ab913, "nvme_setup_cmd" },
	{ 0x2d5233b8, "nvme_start_ctrl" },
	{ 0xff9e7500, "nvme_alloc_admin_tag_set" },
	{ 0xf598c98, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xb2b9b257, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x9288d1df, "nvme_delete_ctrl" },
	{ 0xe6963f13, "get_device" },
	{ 0x2a0fc71, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x75d41228, "nvmf_get_address" },
	{ 0x759e1288, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x88fa151e, "nvme_remove_io_tag_set" },
	{ 0xcb63fcf1, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x449b528f, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7887d5b8, "nvmf_unregister_transport" },
	{ 0xf55e06ef, "blkcg_get_fc_appid" },
	{ 0x6ba17f89, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xae5f3de5, "nvme_change_ctrl_state" },
	{ 0x1467b924, "_dev_info" },
	{ 0xf11aaaaa, "nvme_init_ctrl" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xaa7616de, "nvme_alloc_io_tag_set" },
	{ 0x6aa8d79f, "nvme_fail_nonready_command" },
	{ 0xf3426049, "kobject_uevent_env" },
	{ 0xd5fb88a0, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6623088a, "_dev_err" },
	{ 0x510656b7, "device_create" },
	{ 0xffffa97f, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0x7ee665f0, "__blk_rq_map_sg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x41d53e8f, "nvmf_reg_read64" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xab4756a3, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x4baf87be, "nvmf_connect_admin_queue" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9c9c9ff, "nvme_enable_ctrl" },
	{ 0x3b0e46d5, "nvme_unquiesce_admin_queue" },
	{ 0xd3c2ee6d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xaffa6523, "nvme_unquiesce_io_queues" },
	{ 0xac2f84e0, "blk_mq_update_nr_hw_queues" },
	{ 0x6326369, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x70a1f45, "nvmf_should_reconnect" },
	{ 0xd18cbe32, "__dma_sync_single_for_device" },
	{ 0xff95f85, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe0d15871, "device_destroy" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x3120ca13, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x5919acc0, "nvmf_register_transport" },
	{ 0x3b57f13b, "blk_mq_start_request" },
	{ 0xf282a3da, "nvme_quiesce_io_queues" },
	{ 0xf47c0d2e, "blk_mq_tagset_busy_iter" },
	{ 0x71652946, "nvme_stop_ctrl" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x584aa928, "dma_unmap_sg_attrs" },
	{ 0x818f20e3, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x8cbaafd8, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x8c7726dc, "nvme_quiesce_admin_queue" },
	{ 0x5ea4c649, "class_register" },
	{ 0x99c6ee80, "__nvme_check_ready" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x5b8b32b9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x34d7ab57, "nvme_add_ctrl" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F2ADD62904A61CD1573A664");
MODULE_INFO(rhelversion, "10.1");
