#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x5a6c7e6e, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x81e8c6ae, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x763012c0, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x884b16dc, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x669314e3, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x4276249b, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x53f11878, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xd50a7ab8, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xb12cbd87, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xc1761bf5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1758ea89, "dst_cache_set_ip4" },
	{ 0x8862a274, "kernel_bind" },
	{ 0x38122878, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x58013a46, "netdev_warn" },
	{ 0x564327cb, "udp_tunnel_nic_ops" },
	{ 0x80dfb6ef, "ip_route_output_flow" },
	{ 0xc9d171a0, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0xdbdea7cb, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46020cf8, "iptunnel_xmit" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9b207ad, "kernel_connect" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xcae912cf, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbe5743fc, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x87da1ccd, "dst_cache_get_ip4" },
	{ 0xf535d77b, "sock_create_kern" },
	{ 0x6a7b4758, "call_netdevice_notifiers" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6be48c1b, "metadata_dst_alloc" },
	{ 0x8b70ffad, "dst_release" },
	{ 0xc9e2a3c4, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb872ea6a, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DACA5850397D94AAFBE6EC8");
MODULE_INFO(rhelversion, "10.1");
