#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0xec255cf7, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0x5589f1a5, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0xd5e7e00c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7a22eb88, "icmp6_send" },
	{ 0x5dc36908, "skb_copy_bits" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x8315b74f, "inet_frag_queue_insert" },
	{ 0xba0f44de, "inet_frags_init" },
	{ 0xa7127386, "inet_frag_pull_head" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4ba03ee8, "register_pernet_subsys" },
	{ 0x1b8cde97, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xf6830446, "inet_frag_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3960337a, "ipv6_skip_exthdr" },
	{ 0xf48e039b, "inet_frag_reasm_finish" },
	{ 0xfcae0780, "nf_register_net_hooks" },
	{ 0x205ca3f0, "fqdir_init" },
	{ 0xaff73ad3, "init_net" },
	{ 0xfe2e896a, "sk_skb_reason_drop" },
	{ 0xcb705895, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9d340016, "inet_frags_fini" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x51f627c8, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2e5d656d, "nf_defrag_v6_hook" },
	{ 0xf520f914, "unregister_pernet_subsys" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xfd9aabad, "__pskb_pull_tail" },
	{ 0xb739672f, "inet_frag_reasm_prepare" },
	{ 0x1a043a80, "inet_frag_find" },
	{ 0xa2dc4b7a, "fqdir_exit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b70ffad, "dst_release" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xa92e707c, "pskb_trim_rcsum_slow" },
	{ 0xd665ca9e, "inet_frag_kill" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C93075937F04606145EA2D");
MODULE_INFO(rhelversion, "10.1");
