#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x0df34f3a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x4685a6ee, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x88f4b2c0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xbeefc698, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x3f6c389b, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xbcd8f356, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0xb39eb0df, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x16a9a794, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x89bcd856, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xd7af83ee, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x53371a5c, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xdd018a71, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xe056d206, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x20ca75cd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xafc221c8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x0b2a5d06, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xc71f7b5f, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xcb0cbaf8, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x8d0506c7, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x4398ec84, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf986b1d4, "perf_trace_run_bpf_submit" },
	{ 0xe340acd6, "trace_event_buffer_reserve" },
	{ 0x12887eff, "trace_event_buffer_commit" },
	{ 0xba14d56f, "__trace_trigger_soft_disabled" },
	{ 0x555201dc, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0xd6f8a9a0, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x94957b7d, "bpf_trace_run1" },
	{ 0xb912fbd5, "bpf_trace_run2" },
	{ 0x90d3cdf1, "sk_error_report" },
	{ 0x6f53bed5, "ip_icmp_error" },
	{ 0xfb0ca508, "ipv6_icmp_error" },
	{ 0xf535d77b, "sock_create_kern" },
	{ 0x8862a274, "kernel_bind" },
	{ 0x9b207ad, "kernel_connect" },
	{ 0x3f7b93e4, "udp_sock_create6" },
	{ 0xdbdea7cb, "kernel_sock_shutdown" },
	{ 0xc9e2a3c4, "sock_release" },
	{ 0x5a6c7e6e, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0xcb011d8e, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7581da72, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x6ec1860c, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xebaf43cf, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0xfe2e896a, "sk_skb_reason_drop" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfd9aabad, "__pskb_pull_tail" },
	{ 0xfeb51b68, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x38122878, "udp_set_csum" },
	{ 0xd9f4ed2, "ip_queue_xmit" },
	{ 0x9fa58b41, "udp6_set_csum" },
	{ 0xfb64f5af, "inet6_csk_xmit" },
	{ 0x8b70ffad, "dst_release" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1cecee82, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x37a0cba, "kfree" },
	{ 0x89c7ca5d, "sockfd_lookup" },
	{ 0x82d1fac5, "lock_sock_nested" },
	{ 0x6c63a935, "release_sock" },
	{ 0x7b4b4d75, "fput" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x81e8c6ae, "setup_udp_tunnel_sock" },
	{ 0xdc5b6b9b, "trace_event_reg" },
	{ 0x55bf703a, "trace_event_raw_init" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
MODULE_INFO(rhelversion, "10.1");
