#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x02b9f3b0, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x830a5d2f, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x128be89d, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x6e7ad962, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xc75f3e84, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xff6b2e05, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24ae1141, "nf_ct_ext_add" },
	{ 0xf4f6acf4, "nsh_pop" },
	{ 0x941f5373, "nf_conntrack_find_get" },
	{ 0xb8539a1e, "nf_ct_set_timeout" },
	{ 0x5428cde, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0xa6e290b3, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xaf050b99, "dev_fill_metadata_dst" },
	{ 0xc81263e2, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5dc36908, "skb_copy_bits" },
	{ 0xf626fc24, "nf_ct_handle_fragments" },
	{ 0xd1c5199d, "eth_mac_addr" },
	{ 0xe03aed95, "skb_put" },
	{ 0xe4729e88, "genl_notify" },
	{ 0xcd8bccab, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x33a2de4c, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaf47ece5, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x615958c6, "skb_eth_pop" },
	{ 0x555201dc, "trace_raw_output_prep" },
	{ 0x69380817, "skb_gso_validate_mac_len" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x39902f83, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x6e289f9b, "nf_ct_helper" },
	{ 0xba14d56f, "__trace_trigger_soft_disabled" },
	{ 0xfcdcab32, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xd6f8a9a0, "trace_event_printf" },
	{ 0xb150bf9a, "rtnl_delete_link" },
	{ 0x1c964d51, "rtnl_link_register" },
	{ 0x62dd4921, "nf_connlabels_put" },
	{ 0xe0811947, "genlmsg_put" },
	{ 0xe0966190, "___pskb_trim" },
	{ 0x55bf703a, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf3657b8b, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0ec2a7e, "dev_set_promiscuity" },
	{ 0x9383828b, "nf_ct_destroy_timeout" },
	{ 0xed312c5b, "nf_ct_add_helper" },
	{ 0x9aa8a32b, "nf_conntrack_helper_put" },
	{ 0x71d21025, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6219c795, "nf_ct_skb_network_trim" },
	{ 0x3bf9b18f, "unregister_netdevice_queue" },
	{ 0x912ff05, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x2f6eb6ed, "ether_setup" },
	{ 0x58726c96, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xfeb51b68, "pskb_expand_head" },
	{ 0xe724c2dc, "skb_csum_hwoffload_help" },
	{ 0x12887eff, "trace_event_buffer_commit" },
	{ 0x478a7a2f, "dev_addr_mod" },
	{ 0xe45f8753, "nf_connlabels_replace" },
	{ 0x3c003c1, "eth_type_trans" },
	{ 0xe454fb24, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x842a40e3, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xe34a6a31, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7e17dadc, "skb_eth_push" },
	{ 0x20d55b1e, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcf8e3fe1, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x35fa9bec, "skb_mpls_pop" },
	{ 0x85ea4ad6, "skb_vlan_pop" },
	{ 0xec0e71c5, "dst_init" },
	{ 0xd52d7ea5, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x64c490af, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa9d7c324, "rtnl_link_unregister" },
	{ 0xf986b1d4, "perf_trace_run_bpf_submit" },
	{ 0xaff73ad3, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xc9d171a0, "ipv6_stub" },
	{ 0x1dfed651, "skb_mpls_update_lse" },
	{ 0x9e27742e, "skb_pull" },
	{ 0xc66074d0, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xfe2e896a, "sk_skb_reason_drop" },
	{ 0x67fb14a, "netlink_unicast" },
	{ 0x99fce1fc, "bpf_trace_run5" },
	{ 0xcb705895, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x61ebb97d, "skb_push" },
	{ 0x22ac0ce2, "kmem_cache_free" },
	{ 0x3207a5c3, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xdc5b6b9b, "trace_event_reg" },
	{ 0x422c8759, "skb_ensure_writable" },
	{ 0x94efb5bf, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x74d99766, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x7581da72, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeca7919d, "ethtool_op_get_link" },
	{ 0x1fa0720e, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x5c2189e0, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa6ade096, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfd9aabad, "__pskb_pull_tail" },
	{ 0xc56aad1c, "nf_ct_delete" },
	{ 0xfa6a6ec1, "nf_conncount_init" },
	{ 0x86451500, "skb_vlan_push" },
	{ 0x3a103c53, "netif_rx" },
	{ 0xd3d29eb6, "__netdev_alloc_skb" },
	{ 0xb65303c8, "__kmem_cache_create_args" },
	{ 0x25f765ec, "netdev_master_upper_dev_link" },
	{ 0x8f7491e3, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0xda6986d2, "inet_proto_csum_replace16" },
	{ 0xcae912cf, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xabb93c47, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xda31f465, "nf_ct_deliver_cached_events" },
	{ 0xd549c78c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xaf4051f5, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x77512c95, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xe340acd6, "trace_event_buffer_reserve" },
	{ 0xb83baece, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe36bbfa1, "inet_proto_csum_replace4" },
	{ 0x81ede511, "nf_conncount_destroy" },
	{ 0x21d12c89, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8e7430c0, "__kmalloc_cache_noprof" },
	{ 0x92483e9b, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9ecac5f4, "dev_get_by_name" },
	{ 0x457cfb14, "skb_clone" },
	{ 0x6be48c1b, "metadata_dst_alloc" },
	{ 0x8b70ffad, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5184603, "peernet2id_alloc" },
	{ 0xe68534a5, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x30c90fc9, "netdev_rx_handler_register" },
	{ 0xdc98c532, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x59f91d80, "genl_unregister_family" },
	{ 0x49f139fe, "dev_disable_lro" },
	{ 0x95762b43, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xd90fca9d, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa8e917e5, "genl_register_family" },
	{ 0x75a580b6, "nf_ct_tmpl_free" },
	{ 0x5a5cedee, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x766192fc, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x6c15c72f, "skb_mpls_push" },
	{ 0xcb011d8e, "register_pernet_device" },
	{ 0x930f54ca, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xfba0a3c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x59909fba, "kmem_cache_destroy" },
	{ 0x4e559373, "__skb_vlan_pop" },
	{ 0x5dc6092f, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ee5677, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x651fbf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "9F186443EAE7E09484519AC");
MODULE_INFO(rhelversion, "10.1");
